Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232830 - /var/log/rpmpkgs occasionally gets zerored out
Summary: /var/log/rpmpkgs occasionally gets zerored out
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Panu Matilainen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-18 15:04 UTC by Need Real Name
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-09 19:36:27 UTC


Attachments (Terms of Use)

Description Need Real Name 2007-03-18 15:04:28 UTC
Description of problem:
I have noticed that occasionally the file /var/log/rpmpkgs gets truncated to
zero length.

The file can be restored by either running /etc/cron.daily/rpm directly or
waiting until it gets run automatically the next day.

This seems to happen randomly so I am not (yet) sure what precipitates this.

Comment 1 Jeff Johnson 2007-03-18 18:35:13 UTC
Nothing except the cron script touches /var/log/rpmpkgs. Rewrite the
cron script to write to temp file, and mv to rpmpkgs iff the query succeeds,
if you really care.

WORKSFORME.

Comment 2 Panu Matilainen 2007-08-09 19:36:27 UTC
rpm.org script rewritten to avoid truncating the log in case of errors.


Note You need to log in before you can comment on or make changes to this bug.